<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3162
Name: Dermatologische Vorbehandlungen
Description: Angaben zu Vorbehandlungen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3162-2020-04-04T215548">
   <title>Dermatologische Vorbehandlungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]
Item: (DermatologischeVorbehandlungen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]"
         id="d42e3808-false-d27844e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3162']) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:templateId[@root = '1.2.276.0.76.10.3162'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3162']) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:templateId[@root = '1.2.276.0.76.10.3162'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:templateId[@root = '1.2.276.0.76.10.3162']
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:templateId[@root = '1.2.276.0.76.10.3162']"
         id="d42e3810-false-d27888e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="string(@root) = ('1.2.276.0.76.10.3162')">(DermatologischeVorbehandlungen): Der Wert von root MUSS '1.2.276.0.76.10.3162' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:id
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:id"
         id="d42e3815-false-d27902e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:title[not(@nullFlavor)]"
         id="d42e3817-false-d27912e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="text()='Vorbehandlungen'">(DermatologischeVorbehandlungen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Vorbehandlungen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:text
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:text"
         id="d42e3823-false-d27926e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3162
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]
Item: (DermatologischeVorbehandlungen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3162']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]"
         id="d42e3825-false-d27940e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeVorbehandlungen): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3162-2020-04-04T215548.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
