<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.57
Name: Atopie (Dermatologie)
Description: Atopie innerhalb der Familie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359">
   <title>Atopie (Dermatologie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]
Item: (AtopieDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]"
         id="d42e16382-false-d167352e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="string(@classCode) = ('OBS')">(AtopieDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="string(@moodCode) = ('EVN')">(AtopieDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']) &gt;= 1">(AtopieDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']) &lt;= 1">(AtopieDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="count(hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(AtopieDermatologie): Element hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="count(hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(AtopieDermatologie): Element hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="count(hl7:text) &lt;= 1">(AtopieDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']"
         id="d42e16388-false-d167403e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AtopieDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.57')">(AtopieDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.57' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:id
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:id"
         id="d42e16393-false-d167417e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AtopieDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:code[(@code = '160474007' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d42e16395-false-d167428e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AtopieDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="@nullFlavor or (@code='160474007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='FH: Atopy')">(AtopieDermatologie): Der Elementinhalt MUSS einer von 'code '160474007' codeSystem '2.16.840.1.113883.6.96' displayName='FH: Atopy'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:text
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:text"
         id="d42e16401-false-d167444e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AtopieDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.57
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AtopieDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.57']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e16403-false-d167457e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AtopieDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.26.11.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AtopieDermatologie): Der Elementinhalt MUSS einer von '2.16.840.1.113883.3.1937.777.26.11.7 DermatologieAtopie (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
