<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3154
Name: Dermatologische Fotografie
Description: Eingebette Dermatologische Fotografie (zusammen mit der Angabe der Art der Fotografie)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3154-2020-03-23T180420">
   <title>Dermatologische Fotografie</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]
Item: (DermatologischeFotografien)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]"
         id="d42e3029-false-d26861e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3154']) &gt;= 1">(DermatologischeFotografien): Element hl7:templateId[@root = '1.2.276.0.76.10.3154'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3154']) &lt;= 1">(DermatologischeFotografien): Element hl7:templateId[@root = '1.2.276.0.76.10.3154'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeFotografien): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(DermatologischeFotografien): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(DermatologischeFotografien): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeFotografien): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeFotografien): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeFotografien): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId[@root = '1.2.276.0.76.10.4305']]]) &gt;= 1">(DermatologischeFotografien): Element hl7:entry[hl7:observationMedia[hl7:templateId[@root = '1.2.276.0.76.10.4305']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId[@root = '1.2.276.0.76.10.4305']]]) &lt;= 1">(DermatologischeFotografien): Element hl7:entry[hl7:observationMedia[hl7:templateId[@root = '1.2.276.0.76.10.4305']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:templateId[@root = '1.2.276.0.76.10.3154']
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:templateId[@root = '1.2.276.0.76.10.3154']"
         id="d42e3031-false-d26930e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFotografien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="string(@root) = ('1.2.276.0.76.10.3154')">(DermatologischeFotografien): Der Wert von root MUSS '1.2.276.0.76.10.3154' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:id
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:id"
         id="d42e3036-false-d26944e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFotografien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e3038-false-d26957e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFotografien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.569-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(DermatologischeFotografien): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.569 Dermatologie Art einer Fotografie (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:title[not(@nullFlavor)]"
         id="d42e3043-false-d26977e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFotografien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="text()='Dermatologische Fotografie'">(DermatologischeFotografien): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Dermatologische Fotografie'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:text
Item: (DermatologischeFotografien)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:text"
         id="d42e3049-false-d26991e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3154-2020-03-23T180420.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFotografien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3154
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3154']]/hl7:entry[hl7:observationMedia[hl7:templateId[@root = '1.2.276.0.76.10.4305']]]
Item: (DermatologischeFotografien)
--></pattern>
