<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3167
Name: Dermatologisches Konsil Feedback Auftraggeber
Description: Feedback des Auftraggebers zum dermatologischen Konsill
        
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3167-2020-04-06T181144">
   <title>Dermatologisches Konsil Feedback Auftraggeber</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]"
         id="d42e4134-false-d28676e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3167']) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.3167'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3167']) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.3167'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:id) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:text) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:entry[not(@nullFlavor)][@typeCode = 'COMP'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="count(hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:entry[not(@nullFlavor)][@typeCode = 'COMP'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:templateId[@root = '1.2.276.0.76.10.3167']
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:templateId[@root = '1.2.276.0.76.10.3167']"
         id="d42e4136-false-d28732e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="string(@root) = ('1.2.276.0.76.10.3167')">(FeedbackAuftraggeberKonsilDermatologie): Der Wert von root MUSS '1.2.276.0.76.10.3167' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:id
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:id"
         id="d42e4141-false-d28746e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e4143-false-d28757e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="@nullFlavor or (@code='74466-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Feedback to user')">(FeedbackAuftraggeberKonsilDermatologie): Der Elementinhalt MUSS einer von 'code '74466-4' codeSystem '2.16.840.1.113883.6.1' displayName='Feedback to user'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:title[not(@nullFlavor)]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:title[not(@nullFlavor)]"
         id="d42e4148-false-d28773e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="text()='Feedback des Auftraggebers'">(FeedbackAuftraggeberKonsilDermatologie): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Feedback des Auftraggebers'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:text
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:text"
         id="d42e4154-false-d28787e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3167
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3167']]/hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']"
         id="d42e4157-false-d28800e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3167-2020-04-06T181144.html"
              test="string(@typeCode) = ('COMP')">(FeedbackAuftraggeberKonsilDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
