<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.14
Name: Dialysetherapie
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109">
   <title>Dialysetherapie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]
Item: (DialysetherapieKonsil)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]
Item: (DialysetherapieKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]"
         id="d42e14870-false-d159083e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="string(@classCode) = ('OBS')">(DialysetherapieKonsil): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="string(@moodCode) = ('EVN')">(DialysetherapieKonsil): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="@negationInd">(DialysetherapieKonsil): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(DialysetherapieKonsil): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']) &gt;= 1">(DialysetherapieKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']) &lt;= 1">(DialysetherapieKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="count(hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(DialysetherapieKonsil): Element hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="count(hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DialysetherapieKonsil): Element hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="count(hl7:effectiveTime) &lt;= 1">(DialysetherapieKonsil): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']
Item: (DialysetherapieKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']"
         id="d42e14878-false-d159129e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DialysetherapieKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.14')">(DialysetherapieKonsil): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.14' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DialysetherapieKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:code[(@code = '68443-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e14883-false-d159144e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DialysetherapieKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="@nullFlavor or (@code='68443-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LOINC' and @codeSystemName='primary dialysis')">(DialysetherapieKonsil): Der Elementinhalt MUSS einer von 'code '68443-1' codeSystem '2.16.840.1.113883.6.1' displayName='LOINC' codeSystemName='primary dialysis'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:effectiveTime
Item: (DialysetherapieKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.14']]/hl7:effectiveTime"
         id="d42e14889-false-d159160e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DialysetherapieKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
